System.Gadget.onSettingsClosing = settingsClosing;

function loadSettings(){
	fill_dd_Playlist();
    SettingsManager.loadFile();
    this.dd_playlist.value =   SettingsManager.getValue ("Default", "playlist","All Music");
	this.dd_transition.value=  SettingsManager.getValue ("Default", "transition", "(Random transition)");
	var i = SettingsManager.getValue ("Default", "displayoption", "0");
	document.forms[0].displayoption[i].checked = true;
	document.forms[0].fsWidth.value =    SettingsManager.getValue ("Default", "screenwidth", "1280");
	document.forms[0].fsHeight.value =   SettingsManager.getValue ("Default", "screenheight", "720"); 
	document.forms[0].textadjust.value = SettingsManager.getValue ("Default", "textadjust", "0");
	document.forms[0].artistcolor.value = SettingsManager.getValue ("Default", "artistcolor", "orange");
	if (SettingsManager.getValue ("Default", "futurecovers", "true") == "true") {
		document.forms[0].futurecovers.checked = true;
	}
	else {
		document.forms[0].futurecovers.checked = false;	
	}
}

function settingsClosing(event){
	if (event.closeAction == event.Action.commit){
		SettingsManager.setValue("Default", "playlist", this.dd_playlist.value);
		SettingsManager.setValue("Default", "transition", this.dd_transition.value);
		if (document.forms[0].displayoption[0].checked) {
			SettingsManager.setValue("Default", "displayoption", "0");
			}
		else {
			SettingsManager.setValue("Default", "displayoption", "1");
		}
		SettingsManager.setValue("Default", "screenwidth", document.forms[0].fsWidth.value);
		SettingsManager.setValue("Default", "screenheight", document.forms[0].fsHeight.value);
		SettingsManager.setValue("Default", "textadjust", document.forms[0].textadjust.value);
		SettingsManager.setValue("Default", "artistcolor", document.forms[0].artistcolor.value);
		SettingsManager.setValue("Default", "futurecovers", document.forms[0].futurecovers.checked);
        SettingsManager.saveFile();
	}
}

function  fill_dd_Playlist() {
	var ddl = this.dd_playlist;	
	var pl=System.Gadget.document.parentWindow.Player.mediaCollection.getByAttribute("MediaType", "playlist");
	var ct=pl.count;
	var plsel;
	var num = -1;
	
	for (var i=0;i < ct; i++) {
		plsel = pl.item(i);
		var x = plsel.getItemInfo("MediaContentTypes");
		if (x=="3" || x =="1"){ 
			num = num++;	
			var oOption = document.createElement("OPTION");
			oOption.text = plsel.name;
            oOption.value = plsel.name;
            ddl.add(oOption);			
		}
	}
}
