// Global vars
    var CoverArtFileName;
    var UserPlaylist;
    var PlayState;
    var Transition;
    var UserVolume;
	var DisplayText;
	var UserText;
	var DragDropLimit = 500;
	var Direction = 0;
	var ArtistColor = "orange";
	
 //timer for track position bar
    var updatePosition=self.setInterval("positionChanged()",1000); 

//	timer for display info
	var updateTheDisplay=self.setInterval("changeDisplay()",5000); 
	var currentDisplayText;
	
//transition effects
    var transitionTime = "1.0";
    var filters = new Array(17);
	filters[0] = 'RANDOM';
	filters[1] = 'progid:DXImageTransform.Microsoft.Barn(duration=' + transitionTime+ ',orientation=vertical)';
	filters[2] = 'progid:DXImageTransform.Microsoft.Barn(duration=' + transitionTime+ ',orientation=horizontal)';	
	filters[3] = 'progid:DXImageTransform.Microsoft.Blinds(duration=' + transitionTime+ ',bands=20, direction=left)';
	filters[4] = 'progid:DXImageTransform.Microsoft.Blinds(duration=' + transitionTime+ ',bands=10, direction=down)';
	filters[5] = 'progid:DXImageTransform.Microsoft.Checkerboard(duration=' + transitionTime+ ',squaresX=25,squaresY=25)';
	filters[6] = 'progid:DXImageTransform.Microsoft.Checkerboard(duration=' + transitionTime+ ',squaresX=12,squaresY=12)';
	filters[7] = 'progid:DXImageTransform.Microsoft.Fade(duration=' + transitionTime + ')';
	filters[8] = 'progid:DXImageTransform.Microsoft.GradientWipe(duration=' + transitionTime + 'wipestyle=0)';
	filters[9] = 'progid:DXImageTransform.Microsoft.GradientWipe(duration=' + transitionTime + 'wipestyle=1)';
	filters[10] = 'progid:DXImageTransform.Microsoft.Inset(duration=' + transitionTime + ')';
	filters[11] = 'progid:DXImageTransform.Microsoft.Iris(duration=' + transitionTime+ ',motion=out, irisstyle=circle)';
	filters[12] = 'progid:DXImageTransform.Microsoft.Iris(duration=' + transitionTime+ ',motion=out, irisstyle=square)';
	filters[13] = 'progid:DXImageTransform.Microsoft.Pixelate(duration=' + transitionTime+ ',maxSquare=10)';
	filters[14] = 'progid:DXImageTransform.Microsoft.Pixelate(duration=' + transitionTime+ ',maxSquare=50)';
	filters[15] = 'progid:DXImageTransform.Microsoft.RadialWipe(duration=' + transitionTime+ ',wipeStyle=clock)';
	filters[16] = 'progid:DXImageTransform.Microsoft.RadialWipe(duration=' + transitionTime+ ',wipeStyle=wedge)';
	filters[17] = 'progid:DXImageTransform.Microsoft.RandomBars(duration=' + transitionTime+ ',orientation=vertical)';
	filters[18] = 'progid:DXImageTransform.Microsoft.RandomBars(duration=' + transitionTime+ ',orientation=horizontal)';	
	filters[19] = 'progid:DXImageTransform.Microsoft.RandomDissolve(duration=' + transitionTime+ ',orientation=vertical)';
	filters[20] = 'progid:DXImageTransform.Microsoft.Slide(duration=' + transitionTime+ ',bands=4, slideStyle=push)';
	filters[21] = 'progid:DXImageTransform.Microsoft.Slide(duration=' + transitionTime+ ',bands=2, slideStyle=hide)';
	filters[22] = 'progid:DXImageTransform.Microsoft.Slide(duration=' + transitionTime+ ',bands=24,slideStyle=push)';
	filters[23] = 'progid:DXImageTransform.Microsoft.Spiral(duration=' + transitionTime+ ',gridSizeX=40,gridSizeY=20)';
	filters[24] = 'progid:DXImageTransform.Microsoft.Spiral(duration=' + transitionTime+ ',gridSizeX=10,gridSizeY=100)';
	filters[25] = 'progid:DXImageTransform.Microsoft.Stretch(duration=' + transitionTime+ ',stretchStyle=push)';
	filters[26] = 'progid:DXImageTransform.Microsoft.Stretch(duration=' + transitionTime+ ',stretchStyle=spin)';
	filters[27] = 'progid:DXImageTransform.Microsoft.Strips(duration=' + transitionTime+ ',motion=rightdown)';
	filters[28] = 'progid:DXImageTransform.Microsoft.Strips(duration=' + transitionTime+ ',motion=leftup';
	filters[29] = 'progid:DXImageTransform.Microsoft.Wheel(duration=' + transitionTime+ ',spokes=4)';
	filters[30] = 'progid:DXImageTransform.Microsoft.Wheel(duration=' + transitionTime+ ',spokes=20)';
	filters[31] = 'progid:DXImageTransform.Microsoft.Zigzag(duration=' + transitionTime+ ',gridSizeX=5, gridSizeY=6)';  
	filters[32] = 'progid:DXImageTransform.Microsoft.Zigzag(duration=' + transitionTime+ ',gridSizeX=8, gridSizeY=3)';  

//  for drag/drop
	supportedFiletypes = new Array("wma", "mp3", "mid", "midi", "wav", "vob", "ogg");
	tempPlaylistItems = new Array();

//	Called when gadget is opened
function setup(){
    System.Gadget.settingsUI = "settings.htm";
    System.Gadget.onSettingsClosed = SettingsClosed;
	System.Gadget.Flyout.onHide=function() {flyoutClosed();}
	System.Gadget.background = "images/back_dark.png";

// Add two "search" playlists
	try { Player.mediaCollection.add(System.Gadget.path + "\\[SEARCH TITLE].wpl" );
		  Player.mediaCollection.add(System.Gadget.path + "\\[SEARCH ARTIST].wpl" );}
	catch(e) {};

// Retrieve settings
    SettingsManager.loadFile();
    UserPlaylist = SettingsManager.getValue("Default", "playlist","");
    Transition=SettingsManager.getValue("Default", "transition","(Random transition)" );
	ArtistColor = SettingsManager.getValue("Default", "artistcolor","orange" );

// Set volume
    Player.settings.volume =  50;
    volPic.style.width=Player.settings.volume * .3 ;
	
// Set up and start player
	playerContainer.style.visibility = "hidden";
    Player.settings.autoStart=false;
	Player.uiMode = "none";
	Player.windowlessVideo=true;
    Player.settings.setMode("shuffle",false); //shuffle should be set in the playlists
    Player.settings.setMode("loop",true);
    try {Player.currentPlaylist = Player.PlaylistCollection.getByName(UserPlaylist).item(0);}
	catch (e) {document.getElementById("Albumart").src = "images/noplaylist.png"}
    ShowPlayButton();
} //end setup

function SettingsClosed(event) {
	if (event.closeAction == event.Action.commit){
		SettingsManager.loadFile();
		var OldUserPlaylist = Player.currentPlaylist.name; 
		Transition = SettingsManager.getValue ("Default", "transition", "(Random transition)");
		var pl = SettingsManager.getValue ("Default", "playlist","");
		if (pl == ""){return}

		if (pl.substring(0,7) == "[SEARCH") {
			var wordToSearch = getWord();
			if (! wordToSearch ) {return}
			var fName = System.Gadget.path + "\\" + pl + ".wpl";
			var fso = new ActiveXObject("Scripting.FileSystemObject");
			var theFile = fso.OpenTextFile(fName, 1);
			x = theFile.ReadAll();
			theFile.Close();
			oldWord = parseReturnedXML(x, "<argument name=\"value\">", "</argument>");
			oldText = "<argument name=\"value\">" + oldWord + "</argument>";
			newText = "<argument name=\"value\">" + wordToSearch + "</argument>";
			var xx = x.replace(oldText, newText);
			var theFile = fso.OpenTextFile(fName, 2);
			theFile.Write(xx);
			theFile.Close();
			var tempList = Player.PlaylistCollection.getByName(pl).item(0);
			if( tempList.count == 0){
				show ("Oops... That playlist nas no items.");
				return;
			}
			else {
				Player.currentPlaylist = tempList;		
				Player.controls.stop(); 
				Player.controls.play(); 
			}
		}
		else {
			var tempList = Player.PlaylistCollection.getByName(pl).item(0);
			if (OldUserPlaylist != pl) {
				if( tempList.count == 0){
					show ("Oops... That playlist nas no items.");
					return;
				}
				else {
					Player.currentPlaylist = tempList;		
					Player.controls.stop(); 
					Player.controls.play(); 
				}
			}
		}
		UserPlaylist=Player.currentPlaylist.name;
	}
}

function changeDisplay(){
	try{
		if (currentDisplayText=="Artist"){
			topText.innerHTML=  "\"" + Player.currentMedia.getItemInfo('Title') + "\""  ;
			currentDisplayText="Title";
		}
		else if (currentDisplayText=="Title") {
			topText.innerHTML="<i>" + Player.currentMedia.getItemInfo('Album') +"</i>";
			currentDisplayText="Album";
		}
		else {
			topText.innerHTML= Player.currentMedia.getItemInfo('Artist');
			currentDisplayText="Artist";
			}
		}
	catch(e){};
}


function fileDragDropped() {
	var index = 0;
	var item;
	var sFile;
	var spl;
	tempPlaylistItems.length=0;
	while (item = System.Shell.itemFromFileDrop(event.dataTransfer, index)) {
		if (tempPlaylistItems.length < DragDropLimit){	
			if (item != null) {
				if (item.isFolder) 	{
					if (GetFileExtension(item.name ).toLowerCase() !="zip") {
						ExtractFromFolder(item);    
					}
				}
				else {
					if(IsSupportedFile(item.name))	{
					sFile=System.Shell.itemFromFileDrop(event.dataTransfer, index).path; 
					tempPlaylistItems.push(sFile)
					}
				}
			}
		}
		index++;
	}
		if (tempPlaylistItems.length != 0) {
			try {
				spl = Player.PlaylistCollection.getByName('Dragged Files').Item(0);
				}
			catch(e){
				spl = Player.PlaylistCollection.newPlaylist("Dragged Files");	
			}
			var c = spl.count;
			for (var i=0; i<c; i++) {
			   spl.removeItem (spl.item(spl.count-1));
				}
			
			var newItem;
			for (var i= 0; i <tempPlaylistItems.length; i++) {
				newItem = Player.newMedia(tempPlaylistItems[i]);
				newItem.setItemInfo("UserCustom1",Math.random());
				spl.appendItem(newItem);
				}
			// shuffle the dragged items
			spl.setItemInfo("SortAttribute", "UserCustom1");
			Player.currentPlaylist = spl;
			
			//Player.controls.next();
			Player.controls.play()
			ShowPauseButton();
			tempPlaylistItems.length = 0;
			UserPlaylist="Dragged Files";
			SettingsManager.setValue("Default", "playlist",Player.currentPlaylist.name);
			SettingsManager.saveFile();
			}
}

function ExtractFromFolder(folder)  {
	var ext = "";
	var item;
	var sFile;

		for (var i = 0; i < folder.SHFolder.Items.count; i++) {
			item = folder.SHFolder.Items.item(i);
		if (item != null) 	{
				if (item.isFolder) 	{
					if (GetFileExtension(item.name ).toLowerCase() !="zip") {
						ExtractFromFolder(item);
					}
				}
				else {
					if (IsSupportedFile(item.name)) {
						sFile=item.path; 
						if (tempPlaylistItems.length < DragDropLimit){						
							tempPlaylistItems.push(sFile);
					
						}
					}
				}
		}
	}
}


function mediaChanged(){
	UpdateArt();
	// Next statement forces the media to be ready.
	// Otherwise, some info from dragged items not in the library is not retrieved.
	// The title is always retrieved, though. 
	try{Player.currentMedia.setItemInfo('Title', Player.currentMedia.getItemInfo('Title'));}
	catch (e) {};
	if (System.Gadget.Flyout.Show) {addContentToFlyout();}
	topText.innerHTML=Player.currentMedia.getItemInfo('Artist'); 
	currentDisplayText="Artist";
	clearInterval(updateTheDisplay);
	updateTheDisplay=self.setInterval("changeDisplay()",5000); 
}

function positionChanged(){
	//updates progress bar
	if (Player.currentMedia != null)  {
		var trackLength = Player.currentMedia.getItemInfo("Duration") *1;
		try {progress.style.width= Math.min(118,(Player.controls.currentPosition / trackLength) * 118);}
		catch (e){progress.style.width=0;}
		if (System.Gadget.Flyout.show){
			var progWidth = System.Gadget.Flyout.document.getElementById("progressback2").style.width.substr(0,3);
			progWidth = progWidth.replace(/px,*\)*/g,"") * 1;
			if(Player.controls.currentPosition*1 <= trackLength){
				System.Gadget.Flyout.document.getElementById("fo4").innerHTML= secondstotime(Player.controls.currentPosition) + " / " + secondstotime(trackLength);
				System.Gadget.Flyout.document.getElementById("progress2").style.width= Math.min(progWidth,(Player.controls.currentPosition / trackLength) * progWidth);
			}
		}
	}
}

function getCoordinates(e){
	// called when progress bar is clicked
	if (Player.currentMedia != null) {
		var clickPct = (event.offsetX?(event.offsetX):event.pageX-document.getElementById("progress").offsetLeft) / 118;
		trackLength=Player.currentMedia.duration;
		if (trackLength !=null){
			Player.controls.currentPosition=clickPct * trackLength;
			positionChanged();
		}
	}
}

function getBestArt(mediaItem){
// look for files in this order: cover.jpg, folder.jpg, albumartsmall.jpg, nocover.png
    var embeddedArt;
	var fullpath = mediaItem.sourceURL;
	fullpath = fullpath.replace(/file:\/\/\//,""); // remove file:///
    fullpath = fullpath.replace(/\//g,"\\"); // replace slash with backslash (for use on Windows OS)
    fullpath = fullpath.replace(/%20/g," "); // replace escaped space
    var iLastBackslash = fullpath.lastIndexOf("\\");
    var thisfilename = fullpath.substring( iLastBackslash+1, fullpath.length); 
    var DirectoryPath = fullpath.substring( 0, iLastBackslash ) + "\\";
    var fso = new ActiveXObject( "Scripting.FileSystemObject" );
    if (fso.FileExists(DirectoryPath + "cover.jpg" )) {return DirectoryPath + "cover.jpg";}
    if (fso.FileExists(DirectoryPath + "folder.jpg")) {return DirectoryPath + "folder.jpg";}
    if (fso.FileExists(DirectoryPath + "albumart.jpg")) {return DirectoryPath + "albumart.jpg";}
    if (fso.FileExists(DirectoryPath + "albumartsmall.jpg" )) {return DirectoryPath + "albumartsmall.jpg";}
    var kk = mediaItem.getAttributeCountByType("WM/Picture", "");
	if (mediaItem.getAttributeCountByType("WM/Picture", "") > 0) {
		embeddedArt= mediaItem.getItemInfoByType("WM/Picture", "", 0).URL;
		return embeddedArt   // This does not work reliably  ?!?!?!?
     }	
    return "images/nocover.png"  //nothing found
}

function UpdateArt() {
    var img=document.getElementById("AlbumArt");
    ArtFile=getBestArt(Player.currentMedia);
    if (Transition=="(Random transition)")  {
        var r = [Math.ceil(Math.random()*32)];
       img.style.filter=filters[r];
    }
    else {
		if (Transition=="Barn 1"){img.style.filter=filters[1];}
		if (Transition=="Barn 2"){img.style.filter=filters[2];}
		if (Transition=="Blinds 1"){img.style.filter=filters[3];}
		if (Transition=="Blinds 2"){img.style.filter=filters[4];}
		if (Transition=="Checkerboard 1"){img.style.filter=filters[5];}
		if (Transition=="Checkerboard 2"){img.style.filter=filters[6];}
		if (Transition=="Fade"){img.style.filter=filters[7];}
		if (Transition=="Gradient Wipe 1"){img.style.filter=filters[8];}
		if (Transition=="Gradient Wipe 2"){img.style.filter=filters[9];}
		if (Transition=="Inset"){img.style.filter=filters[10];}
		if (Transition=="Iris 1"){img.style.filter=filters[11];}
		if (Transition=="Iris 2"){img.style.filter=filters[12];}
		if (Transition=="Pixelate 1"){img.style.filter=filters[13];}
		if (Transition=="Pixelate 2"){img.style.filter=filters[14];}
		if (Transition=="Radial Wipe 1"){img.style.filter=filters[15];}
		if (Transition=="Radial Wipe 2"){img.style.filter=filters[16];}
		if (Transition=="Random Bars 1"){img.style.filter=filters[17];}
		if (Transition=="Random Bars 2"){img.style.filter=filters[18];}
		if (Transition=="Random Dissolve"){img.style.filter=filters[19];}
		if (Transition=="Slide 1"){img.style.filter=filters[20];}
		if (Transition=="Slide 2"){img.style.filter=filters[21];}
		if (Transition=="Slide 3"){img.style.filter=filters[22];}
		if (Transition=="Spiral 1"){img.style.filter=filters[23];}
		if (Transition=="Spiral 2"){img.style.filter=filters[24];}
		if (Transition=="Stretch 1"){img.style.filter=filters[25];}
		if (Transition=="Stretch 2"){img.style.filter=filters[26];}
		if (Transition=="Strips 1"){img.style.filter=filters[27];}
		if (Transition=="Strips 2"){img.style.filter=filters[28];}
		if (Transition=="Wheel 1"){img.style.filter=filters[29];}
		if (Transition=="Wheel 2"){img.style.filter=filters[30];}
		if (Transition=="Zigzag 1"){img.style.filter=filters[31];}
		if (Transition=="Zigzag 2"){img.style.filter=filters[32];}
    }
    img.filters[0].apply() ;
    img.src=ArtFile; 
    img.filters[0].play();
    //document.images.AlbumArt.src=ArtFile;
    }

function mousewheelVolume() {
    oldVol=Player.settings.volume;
    if (event.wheelDelta >= 120)
         Player.settings.volume=oldVol+5;
    else if (event.wheelDelta <= -120)
         Player.settings.volume=oldVol-5;
    volPic.style.width=Player.settings.volume * .3;
  }

function addContentToFlyout() {
	if(System.Gadget.Flyout.show) {
		var flyoutDoc = System.Gadget.Flyout.document;
		var locationPath=pathOnly(Player.currentMedia.SourceURL);
		System.Gadget.Settings.write ("trackLocation", locationPath);
		var currentTrack = Player.currentMedia;
		var searchGoogleURL = "http://www.google.com/search?q=" + currentTrack.getItemInfo("Artist");
		var img =flyoutDoc.getElementById("coverart")
		img.src = "images/nocover.png";
		if (Transition=="(Random transition)")  {
			var r = [Math.ceil(Math.random()*17)];
			img.style.filter=filters[r];
		}
		else {
			if (Transition=="Barn 1"){img.style.filter=filters[1];}
			if (Transition=="Barn 2"){img.style.filter=filters[2];}
			if (Transition=="Blinds 1"){img.style.filter=filters[3];}
			if (Transition=="Blinds 2"){img.style.filter=filters[4];}
			if (Transition=="Checkerboard 1"){img.style.filter=filters[5];}
			if (Transition=="Checkerboard 2"){img.style.filter=filters[6];}
			if (Transition=="Fade"){img.style.filter=filters[7];}
			if (Transition=="Gradient Wipe 1"){img.style.filter=filters[8];}
			if (Transition=="Gradient Wipe 2"){img.style.filter=filters[9];}
			if (Transition=="Inset"){img.style.filter=filters[10];}
			if (Transition=="Iris 1"){img.style.filter=filters[11];}
			if (Transition=="Iris 2"){img.style.filter=filters[12];}
			if (Transition=="Pixelate 1"){img.style.filter=filters[13];}
			if (Transition=="Pixelate 2"){img.style.filter=filters[14];}
			if (Transition=="Radial Wipe 1"){img.style.filter=filters[15];}
			if (Transition=="Radial Wipe 2"){img.style.filter=filters[16];}
			if (Transition=="Random Bars 1"){img.style.filter=filters[17];}
			if (Transition=="Random Bars 2"){img.style.filter=filters[18];}
			if (Transition=="Random Dissolve"){img.style.filter=filters[19];}
			if (Transition=="Slide 1"){img.style.filter=filters[20];}
			if (Transition=="Slide 2"){img.style.filter=filters[21];}
			if (Transition=="Slide 3"){img.style.filter=filters[22];}
			if (Transition=="Spiral 1"){img.style.filter=filters[23];}
			if (Transition=="Spiral 2"){img.style.filter=filters[24];}
			if (Transition=="Stretch 1"){img.style.filter=filters[25];}
			if (Transition=="Stretch 2"){img.style.filter=filters[26];}
			if (Transition=="Strips 1"){img.style.filter=filters[27];}
			if (Transition=="Strips 2"){img.style.filter=filters[28];}
			if (Transition=="Wheel 1"){img.style.filter=filters[29];}
			if (Transition=="Wheel 2"){img.style.filter=filters[30];}
			if (Transition=="Zigzag 1"){img.style.filter=filters[31];}
			if (Transition=="Zigzag 2"){img.style.filter=filters[32];}
		}

		img.filters[0].apply() ;
		img.src= document.getElementById("AlbumArt").src;
		img.filters[0].play();
		img.src= document.getElementById("AlbumArt").src;
		
		flyoutDoc.getElementById("fo1").innerHTML= "";
		flyoutDoc.getElementById("fo2").innerHTML= "";
		flyoutDoc.getElementById("fo3").innerHTML= "";
		flyoutDoc.getElementById("fo4").innerHTML= "";
		flyoutDoc.getElementById("fo5").innerHTML= "";
		flyoutDoc.getElementById("fo6").innerHTML= ""; 
		flyoutDoc.getElementById("playlisticon").style.visibility="hidden";
		flyoutDoc.getElementById("trackdetails").filters[0].apply();
		SettingsManager.loadFile();
		ArtistColor = SettingsManager.getValue("Default", "artistcolor","orange");
		if (ArtistColor == "random") {ArtistColor = randomContrastingColor()}
		var ac = "style='color:" + ArtistColor + "'";
		flyoutDoc.getElementById("fo1").innerHTML= "<a id='titlelink' " + ac + " ' href='" + searchGoogleURL + "'>" + currentTrack.getItemInfo('Artist') +"</a>";
		flyoutDoc.getElementById("fo2").innerHTML= "\"" + currentTrack.getItemInfo("Title") + "\"";		
		flyoutDoc.getElementById("fo3").innerHTML= "Album: <i>" +  currentTrack.getItemInfo  ("Album") + "</i>";
		flyoutDoc.getElementById("fo4").innerHTML= secondstotime(Player.controls.currentPosition) + " / " +secondstotime(Player.currentMedia.duration);
		flyoutDoc.getElementById("fo5").innerHTML= "Genre: "+ currentTrack.getItemInfo ("Genre")  ;
		flyoutDoc.getElementById("fo6").innerHTML= "Playlist: " + Player.currentPlaylist.name + " (" + addCommas(parseInt(Player.currentMedia.getItemInfo('PlaylistIndex'))+1) + " of " + addCommas(Player.currentPlaylist.count) + " tracks)"; 
		flyoutDoc.getElementById("playlisticon").style.visibility="visible";
		flyoutDoc.getElementById("trackdetails").filters[0].play();
		updateCovers(1);
	}
}
function randomContrastingColor(){ 
do {
	var rint = Math.round(0xffffff * Math.random());
    var hexColor = ('#0' + rint.toString(16)).replace(/^#0([0-9a-f]{6})$/i, '#$1');
  } while (brightness(hexColor) < 100);
  	return(hexColor);
}	

 function brightness(color) {
	if(color.length==7){color=color.substring(1);}
	var R =	parseInt(color.substring(0,2),16);
	var G =	parseInt(color.substring(2,4),16);
	var B =	parseInt(color.substring(4,6),16);
	return Math.sqrt(R * R * .241 + G * G * .691 + B * B * .068);
}

function updateCovers(offset){
// scroll forward or backward to update cover art display
	var flyoutDoc = System.Gadget.Flyout.document;
	var count = +Player.currentPlaylist.count;
	var first = +Player.currentMedia.getItemInfo('PlaylistIndex');
	var r;
	var i =0;
	for (r=0; r<=5; r++){
		i = Mod((first + r + offset),  count);
		var img = flyoutDoc.getElementById("cu" + r);
		img.filters.item(Direction).apply();
		img.src = getBestArt(Player.currentPlaylist.item(i));	
		img.filters.item(Direction).play();		
		img.title = i +1 + ". " + Player.currentPlaylist.item(i).getItemInfo("Artist") + " - " + Player.currentPlaylist.item(i).getItemInfo("Title");
		img.setAttribute('alt', i);
	}
}

function swapView(){
	if (playerContainer.style.visibility=="hidden") {
		playerContainer.style.visibility="visible";
		ball.src="images/blueball.png";
		ball.title="Show album art";
	}
	else    {
		playerContainer.style.visibility="hidden";
		ball.src="images/redball.png";
		ball.title="Show visualizations";
	}
}

function showFlyout() {
	if ( ! Player.currentMedia) {return}
    System.Gadget.Flyout.file = "flyout.html";
    System.Gadget.Flyout.show = !System.Gadget.Flyout.show;
}

System.Gadget.Flyout.onShow = function() {
	Player.controls.play();
	gadgetControls.style.visibility="hidden";
	topText.style.visibility="hidden";
	albumartContainer.style.visibility="hidden";
	playerContainer.style.visibility="visible";
	playerContainer.style.height="200px";	
	playerContainer.style.top="5px";
	Player.style.height="190px";
	addContentToFlyout();
	System.Gadget.background='images/solid_dark.png';
}


function flyoutClosed(){
	System.Gadget.background = "images/back_dark.png";
	gadgetControls.style.visibility="visible";
	Player.style.height=116;
	topText.style.visibility="visible";
	document.body.style.height = "200px";		
	albumartContainer.style.visibility="visible";
	playerContainer.style.visibility="hidden";
	playerContainer.style.top="29px";
	playerContainer.style.height="116px";
	Player.style.height="116px";
	if (Player.playState == 3){
		ShowPauseButton();
		}
	else {
		ShowPlayButton();
	}
	volPic.style.width=Player.settings.volume * .3;
	ball.src="images/redball.png";
	ball.title="Show visualizations";
}


///////// functions to handle the media controls

function ShowPlayButton(){
	b2.src="images/play.png";
	b2.onmouseenter= function() {b2.src='images/gplay2.png'} 
	b2.onmouseleave= function() {b2.src='images/play.png'} 
	b2.onmousedown= function()  {b2.src='images/play.png'}
	b2.onmouseup= function()    {b2.src='images/gplay2.png'} 
}

function ShowPauseButton(){
	b2.src="images/pause.png";
	b2.onmouseenter= function() {b2.src='images/gpause2.png'}
	b2.onmouseleave= function() {b2.src='images/pause.png'}
	b2.onmousedown= function()  {b2.src='images/pause.png'}
	b2.onmouseup=  function()   {b2.src='images/gpause2.png'}
}

function PlayPause(){
    if (Player.playState == 3)   {
        Player.controls.pause();
        ShowPlayButton();
     }
    else   {
        Player.controls.play();
        ShowPauseButton();
      }
}

function PreviousSong(){
	Direction=1;
	Player.controls.play();
    Player.controls.previous();
	ShowPauseButton();
}

function NextSong(){
	Direction=0;
	Player.controls.play();
	Player.controls.next();
	ShowPauseButton();
}

/////////////////// UTILITY FUNCTIONS ///////////////

function parseReturnedXML(strToParse, strStart, strFinish) {
	var str = strToParse.match(strStart + "(.*?)" + strFinish);
	if (str != null) {
		return (str[1]);
	}
	else
		return(null);
}

function extensionOnly(fileString) 
{    var startIdx = fileString.lastIndexOf(".") + 1;
    var ext = "";
    for (var i = startIdx; i < fileString.length; i++)    {
        ext += fileString.charAt(i);
    }
    return ext;
}
function IsSupportedFile(fileName) {
	var ext = extensionOnly(fileName).toLowerCase();
	for (var i = 0; i < supportedFiletypes.length; i++) {
		if (ext == supportedFiletypes[i])	{
			return true;
		}
	}
	return false;
}

function GetFileExtension(fileString) {
    var startIdx = fileString.lastIndexOf(".") + 1;
    var ext = "";
    for (var i = startIdx; i < fileString.length; i++)     {
        ext += fileString.charAt(i);
    }
    return ext;
}

function pathOnly
 (InString) {
   //strips filename from path
   var LastSlash=InString.lastIndexOf ('\\', InString.length-1);
   var OutString=InString.substring (0, LastSlash+1);
   return (OutString);	
}

function secondstotime(secs){
    var t = new Date(1970,0,1);
    t.setSeconds(secs);
    var s = t.toTimeString().substr(0,8);
    if(secs > 86399)
        s = Math.floor((t - Date.parse("1/1/70")) / 3600000) + s.substr(2);
    return s.substr(3);
}

function addCommas(nStr){
// Adds thousands separators
    nStr += '';
    x = nStr.split('.');
    x1 = x[0];
    x2 = x.length > 1 ? '.' + x[1] : '';
    var rgx = /(\d+)(\d{3})/;
    while (rgx.test(x1)) {
     x1 = x1.replace(rgx, '$1' + ',' + '$2');
     }
    return x1 + x2;
}

function Mod(X, Y) { 
	return X - Math.floor(X/Y)*Y 
}